package ru.dbotthepony.kstarbound.network.packets

import ru.dbotthepony.kommons.io.readVarLong
import ru.dbotthepony.kommons.io.writeVarLong
import ru.dbotthepony.kstarbound.client.ClientConnection
import ru.dbotthepony.kstarbound.network.IClientPacket
import ru.dbotthepony.kstarbound.network.IServerPacket
import ru.dbotthepony.kstarbound.server.ServerConnection
import java.io.DataInputStream
import java.io.DataOutputStream

class StepUpdatePacket(val remoteStep: Long) : IServerPacket, IClientPacket {
	constructor(stream: DataInputStream, isLegacy: Boolean) : this(stream.readVarLong())

	override fun write(stream: DataOutputStream, isLegacy: Boolean) {
		stream.writeVarLong(remoteStep)
	}

	override fun play(connection: ServerConnection) {

	}

	override fun play(connection: ClientConnection) {
		TODO("Not yet implemented")
	}
}
